RelayAPI

Request irreversible workspace erasure

The workspace must be archived first. This creates an idempotent durable erasure operation; it does not delete data in the request transaction.

DELETE
/v1/workspaces/{id}
AuthorizationBearer <token>

API key (rlay_live_* or rlay_test_). Invite redemption also accepts a server-derived rlay_session_ bearer for a current user session.

In: header

Path Parameters

id*string

Resource ID

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X DELETE "https://example.com/v1/workspaces/string" \  -H "Content-Type: application/json" \  -d '{    "expected_revision": 0  }'
{  "erasure_operation_id": "string",  "requested_at": "2019-08-24T14:15:22Z",  "status": "pending",  "workspace_id": "string"}

Found something wrong? Help us improve this page.